# cfdutils-js

WIP

Usage:

```
import cfdutils from '@simzero/cfdutils
import fs from 'fs'

(async () => {
  await cfdutils.ready;

  const converters = new cfdutils.converters();

  const stlName = "square";
  const stlData = fs.readFileSync(stlName + ".stl")

  const stlToVtkData = converters.stlToVtk(stlData);
  fs.writeFileSync("stlToVtk.vtk", stlToVtkData);

  const stlToVtpData = converters.stlToVtp(stlData);
  fs.writeFileSync("stlToVtp.vtp", stlToVtpData);

  const vtkToStlData = converters.vtkToStl(stlToVtkData);
  fs.writeFileSync("vtkToStl.stl", vtkToStlData);

  const vtpToStlData = converters.vtpToStl(stlToVtpData);
  fs.writeFileSync("vtkToStl.stl", vtpToStlData);
})();
```
